Bug 1007635 - Review Request: rubygem-acts-as-taggable-on - Advanced tagging for Rails
Review Request: rubygem-acts-as-taggable-on - Advanced tagging for Rails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Achilleas Pipinellis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 22:56 EDT by Ken Dreyer
Modified: 2013-09-24 18:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: rubygem-acts-as-taggable-on-2.4.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-24 18:59:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
axilleas: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ken Dreyer 2013-09-12 22:56:23 EDT
Spec URL: http://fedorapeople.org/~ktdreyer/reviews/rubygem-acts-as-taggable-on.spec
SRPM URL: http://fedorapeople.org/~ktdreyer/reviews/rubygem-exception_notification-4.0.0-1.fc21.src.rpm
Description: With ActsAsTaggableOn, you can tag a single model on several contexts, such as skills, interests, and awards. It also provides other advanced functionality.

Fedora Account System Username: ktdreyer

$ rpmlint rubygem-acts-as-taggable-on.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rawhide scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5929986
Comment 1 Achilleas Pipinellis 2013-09-13 04:29:55 EDT
I'll take this as I need it for GitLab, thanks for submitting. 
But before I review this, fix the src.rpm as it points to a different gem ;)
Comment 3 Achilleas Pipinellis 2013-09-13 09:20:30 EDT
Ok looks good, approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).
[x]: Package contains Requires: ruby(release).

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Gem should use %gem_install macro.
[x]: Specfile should use macros from rubygem-devel package.
[x]: Gem package should exclude cached Gem.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-acts-as-taggable-on-2.4.1-1.fc21.noarch.rpm
          rubygem-acts-as-taggable-on-doc-2.4.1-1.fc21.noarch.rpm
          rubygem-acts-as-taggable-on-2.4.1-1.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-acts-as-taggable-on-doc rubygem-acts-as-taggable-on
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-acts-as-taggable-on-doc (rpmlib, GLIBC filtered):
    rubygem-acts-as-taggable-on

rubygem-acts-as-taggable-on (rpmlib, GLIBC filtered):
    ruby(release)
    ruby(rubygems)
    rubygem(rails)



Provides
--------
rubygem-acts-as-taggable-on-doc:
    rubygem-acts-as-taggable-on-doc

rubygem-acts-as-taggable-on:
    rubygem(acts-as-taggable-on)
    rubygem-acts-as-taggable-on



Source checksums
----------------
https://rubygems.org/gems/acts-as-taggable-on-2.4.1.gem :
  CHECKSUM(SHA256) this package     : 4b75dd427cb721f38fe354e8a37d8c3d217779c9db204398890984694def753d
  CHECKSUM(SHA256) upstream package : 4b75dd427cb721f38fe354e8a37d8c3d217779c9db204398890984694def753d


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1007635
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 4 Ken Dreyer 2013-09-13 09:43:31 EDT
Thanks a lot!

New Package SCM Request
=======================
Package Name: rubygem-acts-as-taggable-on
Short Description: Advanced tagging for Rails
Owners: ktdreyer
Branches: f19 f20
Comment 5 Gwyn Ciesla 2013-09-13 11:02:44 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-09-13 19:39:03 EDT
rubygem-acts-as-taggable-on-2.4.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-acts-as-taggable-on-2.4.1-1.fc20
Comment 7 Fedora Update System 2013-09-13 19:40:05 EDT
rubygem-acts-as-taggable-on-2.4.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-acts-as-taggable-on-2.4.1-1.fc19
Comment 8 Fedora Update System 2013-09-14 20:51:58 EDT
rubygem-acts-as-taggable-on-2.4.1-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-09-24 18:49:46 EDT
rubygem-acts-as-taggable-on-2.4.1-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 10 Fedora Update System 2013-09-24 18:59:31 EDT
rubygem-acts-as-taggable-on-2.4.1-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.